var app = angular.module("app", ["ngRoute"]);

app.controller("events", function ($scope) {
    $scope.events = [
        //EDIT THE FOLLOWING LINES TO MODIFY UPCOMING EVENTS ## MAX IS 4 ##
        {
            day: "TBD",
            month: "Dec",
            location: "TBD",
            time: "TBD",
            name: "Christmas Party",
            cost: "Free!",
            id: 1,
            details: "Come hang out with your fellow Au Pairs and enjoy a Christmas Celebration!",
            image: "BeachCleanUp"
        }

    ];

    $scope.pages = [
        {
            name: "Learn more about Au Pair",
            body: "",
            include: "about.html",
            image: "about",
            blurb: "Learn more about what being an Au Pair means.",
            id: 1
        },

        {
            name: "Learn about Chinese culture",
            body: "",
            image: "none",
            include: "culture.html",
            blurb: "Chinese culture is vast and expansive. Learn more about some of the insights",
            id: 2
        },

        {
            name: "Learn about cities in China",
            body: "Learn about some of the cities we offer services in!",
            cities: [
                {
                    name: "Shenzhen",
                    blurb: "Shenzhen (深圳) is located in between Guangzhou and Hong Kong. It is a huge manufacturing center that has sprung up overnight. Feeding off the success of its neighbors, it is ranked fourth in China for industrial output, manufacturing higher technology products than Guangzhou in general, and with several of its own successful sunrise companies.",
                    image: "shenzen"
                },
                {
                    name: "Chengdu",
                    blurb: "Chengdu (成都) 'The young shouldn't come to Chengdu and the old shouldn't leave.' This ancient Chinese saying about Chengdu still has truth to it today. Chengdu is a place which the young may find very comfortable and lose their ambitions, but for the same reason the elderly should stay here. Once in Chengdu you will feel the relaxed atmosphere. People go about business without getting rich on their minds. Chengdu has been found to be much older than previously thought. The Jinsha excavation site shows us that Chengdu was an important gathering place for people4,000 years ago. For those interested in Chinese culture there are many great stories that come from this ancient city.",
                    image: "chengdu"
                },
                {
                    name: "Wuhan",
                    blurb: "Wuhan(武汉; Wǔhàn) is an interesting large city in the inland central area of China that somehow feels less modernized than China’s coastal cities or Beijing, but it is one of China’s main high-tech, education and financial centers. It is China’s 10th largest city. It is interesting for tourists because there are scenic areas and the big Yangtze River. The people are unusually cordial to foreigners. Because it is right in the middle of the navigable part of the Yangtze River between Shanghai on the coast and Sichuan and Chongqing far to the west, it has long been a transportation hub. The old town of Hankou that is now a part of modern Wuhan was China’s second largest commercial center after Shanghai during the 1800s and early part of the 1900s. Prices for meals and transportation are low, transportation to the city is unusually convenient, and it is an interesting tourist destination and a good place to start a tour of the Yangtze River basin.",
                    image: "wuhan"
                },
                {
                    name: "Zhuhai",
                    blurb: "Zhuhai (珠海) is a city with a beautiful environment and pleasant climate.It is a special economic zone in China. It is located in the south-east of China;it is adjacent to Macau and is not far from Hongkong. It is an important city in the south of the Pearl River Delta. Zhuhai has the longest coastline and most isles among all the cities in the Pearl River Delta.",
                    image: "zhuhai"
                },
                {
                    name: "Nanjing",
                    blurb: "Nanjing (南京) is the capital of Jiangsu Province, and in the past it was the capital of several empires and of the Republic of China. Nanjing means “Southern Capital.” It has alternated with Beijing as the capital of big empires and of modern governments. Beijing means Northern Capital. In the past, it was a prominent city, and its rulers benefited from the partial control of trade on the big and long Yangtze River that allowed trade vessels to travel from Sichuan in the west of China to Shanghai and the Pacific Ocean.",
                    image: "nanjing"
                },
                {
                    name: "Hangzhou",
                    blurb: "Hangzhou (杭州), abbreviated to Hang, also called Lin'an, Qiantang and Wulin in ancient times, is located in the middle part of the south-east of China, near Shanghai.  It is the capital of Zhejiang Province, and it is in the north of this province. Hangzhou is one of the Four Garden Cities in China, along with Nanjing, Changchun and Kunming.",
                    image: "hangzhou"
                },
                {
                    name: "Xi'an",
                    blurb: "Xi'an (西安) is the first of China's Four Great Ancient Capitals and played a very important part in Chinese history. Xi'an is characterized by and proud of its ancient heritage, and rightly so. The immaculately restored and mighty city wall still dominates the center of the city, with traffic navigating through underpasses in its girth. Many modern buildings are in keeping with ancient style, especially the roofs.",
                    image: "xian"
                },
            ],
            image: "none",
            include: "none.html",
            blurb: "Learn about some of the cities we offer services in!",
            id: 3
        }
    ];

});

app.controller("site", function ($scope) {
    $scope.title = {
        name: "Love Au Pair", tag: "An efficient, personal service for host families and Au pairs!"
    };
});

app.config(function ($routeProvider) {
    $routeProvider
        .when('/',
        {
            templateUrl: "partials/home.html",
            controller: "AppCtrl"
        }
    ).when('/form',
        {
            templateUrl: "partials/form.html",
            controller: "AppCtrl"
        }
    ).when('/about',
        {
            templateUrl: "partials/about.html",
            controller: "AppCtrl"
        }
    ).when('/contact',
        {
            templateUrl: "partials/contact.html",
            controller: "AppCtrl"
        }
    ).when('/events',
        {
            templateUrl: "partials/events_list.html",
            controller: "AppCtrl"
        }
    ).when('/event/:eventID',
        {
            templateUrl: "partials/event.html",
            controller: "EventCtrl"
        }
    ).when('/page/:pageID',
        {
            templateUrl: "partials/page.html",
            controller: "PageCtrl"
        }
    )

})
app.controller("EventCtrl", function ($scope, $routeParams) {

    $scope.order_id = $routeParams.eventID;

    $scope.model = {
        message: "This is my app!!!"
    }
});
app.controller("PageCtrl", function ($scope, $routeParams) {

    $scope.order_id = $routeParams.pageID;

    $scope.model = {
        message: "This is my app!!!"
    }
});

app.controller("AppCtrl", function ($scope) {
    $scope.model = {
        message: "This is my app!!!"
    }
});